# Created by pyp2rpm-3.2.2
%global pypi_name nose_warnings_filters

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        1%{?dist}
Summary:        Allow to inject warning filters during nosetest
License:        MIT
URL:            https://github.com/Carreau/nose_warnings_filters
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/Carreau/nose_warnings_filters/master/LICENSE
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
If you run your test suite with nosetest, you can use this package to filter
the warnings by setting rules in your setup.cfg.

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-nose
Requires:       python-setuptools
%description -n python2-%{pypi_name}
If you run your test suite with nosetest, you can use this package to filter
the warnings by setting rules in your setup.cfg. Python 2 version.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-nose
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
If you run your test suite with nosetest, you can use this package to filter
the warnings by setting rules in your setup.cfg. Python 3 version.


%prep
%autosetup -n %{pypi_name}-%{version}
cp %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{pypi_name}
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE 
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Apr 05 2017 Miro Hrončok <mhroncok@redhat.com> - 0.1.5-1
- Initial package
